Page MenuHomePhabricator

Present links as selected from the link inspector as soon as the user picks them
Closed, ResolvedPublic

Description

When a user selects a link from the link inspector it is presented as text written in a text field. Then they have to explicitly confirm the selection yet again for the link to be created.

Ideally we should:

  • Create the link as soon as the user picks an element from the suggested list (or hits enter to select the default one).
  • Hide existing link cards once the link inspector is open.
  • Once selection is done, the link inspector should turn into a link card with editing (and delete) option (see T106540) and the link should become inserted into the translation.

Design details

Check this prototype and animation:

  • When the user clicks on the "Link to another page" card, the existing link cards are removed (if any) and the card expands to become the link inspector.
  • In the link inspector users can search or select from suggestions. Clicking a suggestion or hitting enter (to select the default one) results in the link being created.
  • Once the link is created, the link card will appear and the link to another page card will go back to their normal position.
  • The link inspector can be cancelled by hitting escape or clicking outside.
  • While the "Link to page" scenario does not require a confirmation button, the addition of an external link still does (check mockups below).
  • Transitions illustrated help to communicate the relationship of the elements but can be supported in separated tickets if needed.

Mockups

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Aklapper, Pginer-WMF.
Pginer-WMF renamed this task from Style selected elements on the link inspector to distinguish them from search state to Present links as selected from the link inspector as soon as the user pick them.Jul 22 2015, 4:44 PM
Pginer-WMF claimed this task.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF set Security to None.
Pginer-WMF updated the task description. (Show Details)Jul 23 2015, 5:06 PM
Pginer-WMF added a subscriber: santhosh.
Pginer-WMF updated the task description. (Show Details)Jul 23 2015, 5:09 PM
Pginer-WMF added a subscriber: Amire80.
Amire80 renamed this task from Present links as selected from the link inspector as soon as the user pick them to Present links as selected from the link inspector as soon as the user picks them.Jul 23 2015, 6:05 PM
Amire80 triaged this task as Normal priority.Jul 28 2015, 6:49 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:23 AM
Amire80 removed Pginer-WMF as the assignee of this task.Oct 13 2015, 10:10 AM
Amire80 removed a project: Design.
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 12:20 PM

Change 352578 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: New link tool - Add any internal or external links

https://gerrit.wikimedia.org/r/352578

Change 352578 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: New link tool - Add any internal or external links

https://gerrit.wikimedia.org/r/352578

Nikerabbit added a subscriber: Nikerabbit.

Is there more to be done on this task besides the patch that was merged?

Arrbee moved this task from Bugs to Oct-Dec 2017 on the ContentTranslation board.Oct 27 2017, 8:24 AM

This works already in version 2 of Content Translation. So this will be solved in upcoming versions.

Pginer-WMF closed this task as Resolved.May 15 2018, 11:52 AM